<?php
// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('CO_CONTR_CERT_OBJ', 'doctrine');

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of BaseCO_CONTR_CERT_OBJ
 *
 * @author Manuel Enrique Paredes Lopez
 */
abstract class BaseCO_CONTR_CERT_OBJ extends sfDoctrineRecord{
    public function setTableDefinition()
    {
         $this->setTableName('CO_CONTR_CERT_OBJ');
        $this->hasColumn('id_det_contra', 'integer', 20, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => true,
             'length' => 20,
             ));
        
        $this->hasColumn('id_co_ep', 'integer', 20, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => true,
             'length' => 20,
             ));
        
        
        $this->hasColumn('id_estudios_previos', 'integer', 20, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => true,
             'length' => 20,
             ));
        
        
        $this->hasColumn('id_contratista', 'integer', 20, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => true,
             'length' => 20,
             ));
        
        
    }
    
    
    
    public function setUp()
    {
        parent::setUp();
    
    
    }
}
